Name:          guitarix
Version:       0.46.0
Release:       %mkrel 2
Summary:       A simple virtual guitar amplifier for JACK
Group:         Sound/Midi
License:       GPLv2+
URL:           https://github.com/brummer10/guitarix
Source0:       https://github.com/brummer10/guitarix/releases/download/V%{version}/guitarix2-%{version}.tar.xz
# https://github.com/brummer10/guitarix/issues/151
Patch1:        0001-Fix-issue-#151-Unable-to-compile-0.46.0.patch
# https://github.com/brummer10/guitarix/issues/152
Patch2:        0001-overlinking-with-libzita-resampler.so.patch

BuildRequires: pkgconfig(avahi-gobject)
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lrdf)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(fftw3f)
BuildRequires: google-roboto-condensed-fonts
BuildRequires: gperf
BuildRequires: intltool
BuildRequires: boost-devel
BuildRequires: eigen3-devel
BuildRequires: gettext-devel
BuildRequires: ladspa-devel
BuildRequires: python3
BuildRequires: sassc
BuildRequires: waf
BuildRequires: zita-convolver-devel
BuildRequires: zita-resampler-devel
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(gtkmm-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(x11)

Requires:      google-roboto-condensed-fonts
Requires:      jack_capture
Requires:      qjackctl
Requires:      vorbis-tools

Conflicts:     guitarix-lv2 < 0.37.0-5

%description
Guitarix is a virtual guitar amplifier for Linux running on Jack Audio
Connection Kit.
Guitarix takes the signal from your guitar as any real amp would do:
as a mono-signal from your sound card.
The input is processed by a main amp and a rack-section.
Both can be routed separately and deliver a processed stereo-signal via Jack.
You may fill the rack with effects from more than 25 built-in modules,
including stuff from a simple noise gate to brain-slashing modulation f/x
like flanger, phaser or auto-wah.

%package -n %{name}-lv2
Summary:       LV2 plug-ins of Guitarix guitar effects
Group:         Sound/Midi
# ladspa/distortion.cpp and ladspa/guitarix-ladspa.cpp are BSD
# The rest of ladspa/* is GPLv+
License:       GPLv2+
Requires:      lv2
Requires:      %{name} >= %{version}-%{release}

%description -n %{name}-lv2
Guitarix LV2 plugins is a set of high-quality sound effects
such as overdrive, distortion, fuzz, guitar amplifier emulators,
etc.

%prep
%autosetup -p2 -n guitarix-%{version}

%build
%ifarch %{ix86}
CXXFLAGS+=" -mfxsr"
%endif
# When building with faust 2.20.2 it fails: https://sourceforge.net/p/guitarix/bugs/86/

%waf \
        %ifarch armv7hl
        --disable-sse \
        %endif
        --prefix=%{_prefix} \
        --no-faust \
        --lv2dir=%{_libdir}/lv2 \
        --libdir=%{_libdir} \
        --ldflags="%{ldflags} -lpthread" \
        --cxxflags-release="%{optflags} -DNDEBUG"

%waf_build

%install
%waf_install

#fix links and remove unwanted devel files
chmod 755 %{buildroot}%{_libdir}/libgxw*.so.0.1
rm -rf %{buildroot}%{_libdir}/libgxw*.so

#need to manually strip
%if 0%{?debug_package}
strip -s %{buildroot}%{_libdir}/libgx*.so.0.1
strip -s %{buildroot}%{_libdir}/lv2/gx*.lv2/gx*.so
%endif

%find_lang guitarix

%files -n %{name} -f guitarix.lang
%doc changelog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/gx_head/
%{_libdir}/libgx*.so.0{,.*}
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.guitarix.guitarix.metainfo.xml

%files -n %{name}-lv2
%{_libdir}/lv2/*


%changelog
* Wed Jun 19 2024 wally <wally> 0.46.0-2.mga10
+ Revision: 2075342
- rebuild for boost 1.85.0

* Sat May 11 2024 daviddavid <daviddavid> 0.46.0-1.mga10
+ Revision: 2063569
- new version: 0.46.0
- ladspa plug-ins was removed upstream
- add missing build dependency on pkgconfig(x11)

* Sat Jan 13 2024 daviddavid <daviddavid> 0.44.1-5.mga10
+ Revision: 2030796
- backport upstream fixes to fix build with python >= 3.11
+ wally <wally>
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.44.1-4.mga10
+ Revision: 1991446
- rebuild for boost 1.83.0

* Fri Feb 24 2023 daviddavid <daviddavid> 0.44.1-3.mga9
+ Revision: 1945235
- add upstream patch to fix build with zita-resampler >= 1.10

* Sat Dec 24 2022 wally <wally> 0.44.1-2.mga9
+ Revision: 1926478
- rebuild for boost 1.81.0

* Mon Jul 04 2022 wally <wally> 0.44.1-1.mga9
+ Revision: 1867638
- new version 0.44.1
- rebuild for boost 1.79.0

* Wed Apr 06 2022 umeabot <umeabot> 0.42.1-6.mga9
+ Revision: 1845746
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.42.1-5.mga9
+ Revision: 1762644
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.42.1-4.mga9
+ Revision: 1744702
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.42.1-3.mga9
+ Revision: 1723089
- fix build with glib 2.68
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.42.1-2.mga8
+ Revision: 1666766
- rebuild for boost 1.75.0

* Mon Dec 28 2020 daviddavid <daviddavid> 0.42.1-1.mga8
+ Revision: 1664332
- new version: 0.42.1

* Mon Dec 21 2020 daviddavid <daviddavid> 0.42.0-2.mga8
+ Revision: 1662440
- enable liblo support

* Mon Dec 21 2020 daviddavid <daviddavid> 0.42.0-1.mga8
+ Revision: 1662426
- new version: 0.42.0

* Sun Dec 20 2020 wally <wally> 0.41.0-2.mga8
+ Revision: 1662008
- rebuild for boost 1.74.0

* Tue Aug 04 2020 daviddavid <daviddavid> 0.41.0-1.mga8
+ Revision: 1610864
- new version: 0.41.0

* Thu Jun 18 2020 daviddavid <daviddavid> 0.40.0-1.mga8
+ Revision: 1595862
- new version: 0.40.0
- switch to Gtk+3
- add a metainfo file
- update summary and description

* Sun May 03 2020 wally <wally> 0.39.0-4.mga8
+ Revision: 1578062
- rebuild for boost 1.73.0

* Mon Mar 09 2020 daviddavid <daviddavid> 0.39.0-3.mga8
+ Revision: 1555001
- rebuild for zita-convolver 4.0.3

* Thu Feb 20 2020 umeabot <umeabot> 0.39.0-2.mga8
+ Revision: 1546118
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.39.0-1.mga8
+ Revision: 1486034
- new version: 0.39.0
- switch to system waf and python3 (now fixed upstream)

* Sun Jan 26 2020 wally <wally> 0.38.1-3.mga8
+ Revision: 1483379
- rebuild for boost 1.72.0
- replace deprecated %%setup_compile_flags

* Mon Sep 23 2019 daviddavid <daviddavid> 0.38.1-2.mga8
+ Revision: 1445153
- remove unwanted devel files

* Mon Sep 23 2019 daviddavid <daviddavid> 0.38.1-1.mga8
+ Revision: 1444754
- new version: 0.38.1
- build also the standalone application (mga#943)
- enable ladspa plugins support
- use system zita-convolver and zita-resampler
- rename project as guitarix

* Sun Sep 23 2018 umeabot <umeabot> 0.37.0-4.mga7
+ Revision: 1298144
- Mageia 7 Mass Rebuild

* Tue May 15 2018 semiletov <semiletov> 0.37.0-3.mga7
+ Revision: 1229747
- spec file fixes by Charles A Edwards and by Jani Välimaa suggestions

* Tue May 15 2018 semiletov <semiletov> 0.37.0-2.mga7
+ Revision: 1229682
- spec file fixes

* Mon May 14 2018 semiletov <semiletov> 0.37.0-1.mga7
+ Revision: 1229631
- imported package guitarix-lv2

